/** Signal.java 
 *
 *  Copyright (c) 2000
 *  All rights reserved.
 *  @author	Moonjoo Kim, Sampath Kannan, Insup Lee
 */
final class Signal
{
	boolean value;
	synchronized void send()
	{	notify();
		value = true;
	}
	synchronized void receive()
	{	try{wait();}
		catch(InterruptedException e){}
		value = false;
	}
}
